## r-cran-rjson 0.2.13

=== DESCRIPTION ===
Package: rjson
Version: 0.2.13
Date: 2012-11-29
Title: JSON for R
Author: Alex Couture-Beil <rjson_pkg@mofo.ca>
Maintainer: Alex Couture-Beil <rjson_pkg@mofo.ca>
Depends: R (>= 2.12.0)
Description: Converts R object into JSON objects and vice-versa
License: GPL-2
Repository: CRAN
Date/Publication: 2013-08-27 08:05:11
Packaged: 2013-08-27 05:39:20 UTC; alex
NeedsCompilation: yes

=== debian/changelog ===
r-cran-rjson (0.2.13-1) unstable; urgency=low

  * Imported Upstream version 0.2.13

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Sep 2013 10:29:06 +0200

r-cran-rjson (0.2.12-1) unstable; urgency=low

  * Initial release. (Closes: #714611)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 30 Jun 2013 20:46:07 +0200

=== debian/control ===
Source: r-cran-rjson
Section: gnu-r
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4
Homepage: http://cran.r-project.org/web/packages/rjson/index.html
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-rjson.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-rjson.git

Package: r-cran-rjson
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}, littler
Description: GNU R package for converting between R and JSON objects
 This package allows conversion of R objects to and from Javascript object
 notation (JSON) format. Conversion can be done from a file or directly from an
 URL. There are two available implementations: a fast C one and a slower R one.

=== debian/rules ===
#!/usr/bin/make -f

# Use hardening flags for linking
include /usr/share/dpkg/buildflags.mk
makeFlags="LDFLAGS=$(LDFLAGS)"

include /usr/share/R/debian/r-cran.mk

# Fix wrong permissions in orig tarball
binary-fixup/r-cran-rjson::
	find debian/r-cran-rjson/usr/lib/R/site-library/rjson/ \( \( -name *.r -or -name *.bat -or -name *.pdf -or -name *.txt -or -name *.Rnw \) -and -not -name server.r \) -exec chmod -x '{}' ';'

## r-cran-rjson 0.2.14

=== DESCRIPTION ===
Package: rjson
Version: 0.2.14
Date: 2012-11-29
Title: JSON for R
Author: Alex Couture-Beil <rjson_pkg@mofo.ca>
Maintainer: Alex Couture-Beil <rjson_pkg@mofo.ca>
Depends: R (>= 2.12.0)
Description: Converts R object into JSON objects and vice-versa
License: GPL-2
Repository: CRAN
Date/Publication: 2014-06-10 11:12:07
Packaged: 2014-06-10 07:42:42 UTC; alex
NeedsCompilation: yes

=== debian/changelog ===
r-cran-rjson (0.2.14-1) unstable; urgency=medium

  * Imported Upstream version 0.2.14
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Jun 2014 10:59:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://cran.r-project.org/web/packages/rjson/index.html
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-rjson.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-rjson.git

## r-cran-rjson 0.2.15

=== DESCRIPTION ===
Package: rjson
Version: 0.2.15
Date: 2014-11-02
Title: JSON for R
Author: Alex Couture-Beil <rjson_pkg@mofo.ca>
Maintainer: Alex Couture-Beil <rjson_pkg@mofo.ca>
Depends: R (>= 3.1.0)
Description: Converts R object into JSON objects and vice-versa
License: GPL-2
Repository: CRAN
Date/Publication: 2014-11-03 00:35:00
Packaged: 2014-11-02 21:27:41 UTC; alex
NeedsCompilation: yes

=== debian/changelog ===
r-cran-rjson (0.2.15-1) unstable; urgency=medium

  * Imported Upstream version 0.2.15
  * d/copyright: update copyright years.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Apr 2015 15:21:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), r-base-dev, cdbs, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://cran.r-project.org/web/packages/rjson/index.html
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-rjson.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/r-cran-rjson.git

=== debian/rules ===
#!/usr/bin/make -f

# Use hardening flags for linking
include /usr/share/dpkg/buildflags.mk
makeFlags="LDFLAGS=$(LDFLAGS)"

include /usr/share/R/debian/r-cran.mk

# Fix wrong permissions in orig tarball
binary-fixup/r-cran-rjson::
	cd debian/r-cran-rjson/usr/lib/R/site-library/rjson/rpc_server/ && chmod -x start_server.bat && chmod +x server.r start_server

## r-cran-rjson 0.2.20

=== DESCRIPTION ===
Package: rjson
Version: 0.2.20
Date: 2018-05-18
Title: JSON for R
Author: Alex Couture-Beil <rjson_pkg@mofo.ca>
Maintainer: Alex Couture-Beil <rjson_pkg@mofo.ca>
Depends: R (>= 3.1.0)
Description: Converts R object into JSON objects and vice-versa.
License: GPL-2
Repository: CRAN
Date/Publication: 2018-06-08 17:23:00 UTC
Packaged: 2018-06-07 22:29:50 UTC; root
NeedsCompilation: yes

=== debian/changelog ===
r-cran-rjson (0.2.20-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no
  * Add debian/salsa-ci.yml

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 12:03:38 +0200

r-cran-rjson (0.2.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jun 2018 08:58:02 +0200

r-cran-rjson (0.2.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2018 21:33:22 +0200

r-cran-rjson (0.2.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
    (re-add littler, actually r-cran-littler, which was removed by dh-update-R
    and add comment that this should not be removed)
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Tue, 08 May 2018 12:04:39 +0200

r-cran-rjson (0.2.15-2) unstable; urgency=medium

  * Team upload

  [ Sébastien Villemot ]
  * Bump to debhelper compat level 10.
  * d/control: add missing ${misc:Depends}.
  * Switch from cdbs to dh-r.
  * d/copyright: use secure URL for format.
  * d/control: use canonical URLs for Vcs-* fields.
  * d/watch: bump to format version 4.
  * d/control: use canonical URL for homepage of CRAN packages.
  * d/watch: drop upstream version mangling.

  [ Andreas Tille ]
  * Secure URI in watch file
  * cme fix dpkg-control
  * debhelper 11
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Tue, 13 Mar 2018 19:10:30 +0100

=== debian/control ===
Source: r-cran-rjson
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjson
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjson.git
Homepage: https://cran.r-project.org/package=rjson
Rules-Requires-Root: no

Package: r-cran-rjson
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this</dh-update-R>
         r-cran-littler
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for converting between R and JSON objects
 This package allows conversion of R objects to and from Javascript object
 notation (JSON) format. Conversion can be done from a file or directly from an
 URL. There are two available implementations: a fast C one and a slower R one.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

# Fix wrong permissions in orig tarball
override_dh_fixperms:
	dh_fixperms
	cd debian/r-cran-rjson/usr/lib/R/site-library/rjson/rpc_server/ && chmod -x start_server.bat && chmod +x server.r start_server

## r-cran-rjson 0.2.21

=== DESCRIPTION ===
Package: rjson
Version: 0.2.21
Date: 2022-01-06
Title: JSON for R
Author: Alex Couture-Beil <rjson_pkg@mofo.ca>
Maintainer: Alex Couture-Beil <rjson_pkg@mofo.ca>
Depends: R (>= 4.0.0)
Description: Converts R object into JSON objects and vice-versa.
URL: https://github.com/alexcb/rjson
License: GPL-2
Repository: CRAN
Date/Publication: 2022-01-09 03:32:41 UTC
Packaged: 2022-01-08 19:22:39 UTC; root
NeedsCompilation: yes

=== debian/changelog ===
r-cran-rjson (0.2.21-1) unstable; urgency=medium

  * New upstream version 0.2.21
  * d/rules: simplify fix for wrong permissions
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.
  * Add autopkgtest that runs unit tests
  * Disable reprotest

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 13 Jan 2022 10:28:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjson
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjson.git
 Homepage: https://cran.r-project.org/package=rjson

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

# Fix wrong permissions in orig tarball
execute_after_dh_fixperms:
	cd debian/r-cran-rjson/usr/lib/R/site-library/rjson/rpc_server/ && chmod +x server.r start_server

=== debian/tests/control ===
Tests: unittests
Depends: @, r-cran-runit
Restrictions: allow-stderr

## r-cran-rjson 0.2.23

=== DESCRIPTION ===
Package: rjson
Version: 0.2.23
Title: JSON for R
Author: Alex Couture-Beil [aut, cre]
Authors@R: person(given = "Alex", family = "Couture-Beil", role = c("aut", "cre"), email = "rjson_pkg@mofo.ca")
Maintainer: Alex Couture-Beil <rjson_pkg@mofo.ca>
Depends: R (>= 4.0.0)
Description: Converts R object into JSON objects and vice-versa.
URL: https://github.com/alexcb/rjson
License: GPL-2
Repository: CRAN
Packaged: 2024-09-16 17:34:28 UTC; root
NeedsCompilation: yes
Date/Publication: 2024-09-16 18:20:02 UTC

=== debian/changelog ===
r-cran-rjson (0.2.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 25 Sep 2024 08:26:53 +0900

r-cran-rjson (0.2.22-1) unstable; urgency=medium

  * New upstream version 0.2.22
  * Bump Standards-Version to 4.7.0

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 08 Sep 2024 10:13:12 +0200

=== debian/control ===
Source: r-cran-rjson
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rjson
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rjson.git
Homepage: https://cran.r-project.org/package=rjson
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-rjson
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for converting between R and JSON objects
 This package allows conversion of R objects to and from Javascript object
 notation (JSON) format. Conversion can be done from a file or directly from an
 URL. There are two available implementations: a fast C one and a slower R one.

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/rjson_([-\d\.]*)\.tar.gz
